<template>
  <div class="white-block" v-if="graphicInstallment && $loanType === 8">
    <div class="loan-header"  v-if="graphicInstallment.length">
      <div class="row top">
        <div class="columns two">
          Платеж №
        </div>
        <div class="columns four">
          Плановая дата платежа
        </div>
        <div class="columns four">
          Сумма платежа
        </div>
      </div>
      <div class="row details">
        <div class="columns two">
          <span class="adaptive">Платеж №</span> 1<span class="gray-note"> из {{graphicInstallment.length}}</span>
        </div>
        <div class="columns four">
          <span class="adaptive">Плановая дата платежа</span> {{$pdl.supplementary.prolongation && $pdl.supplementary.prolongation !== null && $pdl.supplementary.prolongation.status === 1  ? $dayjs($pdl.supplementary.prolongation.loanDateEnd).format('DD.MM.YYYY') : $dayjs(graphicInstallment[0].date).format('DD.MM.YYYY')}}
        </div>
        <div class="columns four">
          <span class="adaptive">Сумма ежемесячного платежа:</span> {{($pdl.supplementary.prolongation && $pdl.supplementary.prolongation !== null && $pdl.supplementary.prolongation.status === 1 ? $pdl.supplementary.prolongation.depositAmount : graphicInstallment[0].amount)|currency}}  &#8381;
        </div>
        <div class="columns two">
          <button @click="graphic = !graphic">График платежей</button>
        </div>
      </div>
    </div>
    <hr/>
    <div class="padding loan-info" v-if="graphic && graphicInstallment.length">
      <h3 class="gray-header">График платежей</h3>
      <div class="row" v-for="item in graphicInstallment.slice(1)">
        <div class="column dotted-line">
          <span class="left-block">до {{$dayjs(item.date).format('DD.MM.YYYY')}}</span>
          <span class="right-block">{{item.amount|currency}} &#8381;</span>
        </div>
      </div>
    </div>

  </div>
</template>

<script>
    export default {
        name: "GraphicPayment",
        data () {
            return {
                graphic: false
            }
        },
        computed: {
          graphicInstallment () {
              if (this.$pdl?.type) {
                  return this.$pdl.schedule
              }
              return this.$graphicInstallment
            }
        }
    }
</script>

<style scoped>

</style>
